<?php
	/***
	* common class extended 
	* return extended class
	
	* author x
	* ver 1.1
	***/

// commonextended
if($_SERVER['REQUEST_URI'] == "/"){
$basepath = "";
}else{
$basepath = "../";
}
include_once($basepath."corebot/_config_.php");
include_once($basepath."corebot/common_func.php");
include_once($basepath."corebot/queryplugin.php");
include_once($basepath."corebot/querycontrol.php");
include_once($basepath."corebot/errorHandler.php");
include_once($basepath."corebot/init_view.php");
include_once($basepath."corebot/common_cl.php");
include_once($basepath."corebot/imgsplugin.php");

class cValidate extends FormValidation 
{
	public function returnValid()
	{
		return new cValidate();
	}
} // end class

class auth extends dbconnectpluging
{
	public function returnAuth()
	{
		return new auth();
	}
}

class qInput extends queryinput
{
	public function returnQuery()
	{
		return new qInput();
	}
}

class getError extends logCoreErrorHandler
{
	public function returnError()
	{
		return new getError();
	}
}

class viewX extends viewControlQuery
{
	public function returnView()
	{
		return new viewX();
	}
}

class mkey extends commonC
{
	public function returnKey()
	{
		return new mkey();
	}
}
/*** 

	deploy
	
***/

$isValid = new cValidate();
$auth = new auth();
$query = new qInput();
$err = new getError();
$view = new viewX();
$key = new mkey();
$conf = new config();

?>
